Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I can't install Wine on Ubuntu 12.1 It worked in previous versions but with 12.1 I get a bunch of errors.

When installing Q4 Wine from the Ubuntu s/w center I get:

Package dependencies cannot be resolved
This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which are not allowed to be installed at the same time.

I've read on the forums that there is a problem with installing a 32 bit application on a 64 bit machine (mine is 64) - so I tried:

dpkg --add-architecture i386

But this fails because it reports that these are invalid options with dpkg. It did seem to work for others with similar wine installation problems, but not me.

I've also tried installing Wine from the terminal but no luck there either.

share|improve this question
1  
Please, edit your question to include the output of sudo apt-get install wine? –  Eric Carvalho May 16 '13 at 0:48
    
12.1? what do you mean, first version of '12 i.e. 12.04 or 12.10? –  kern May 16 '13 at 4:14
add comment

1 Answer 1

The version of Wine in Ubuntu Software Center (official repos) is old and not well maintained. Install the Ubuntu Wine PPA and try again:

 sudo apt-get remove --purge wine

 sudo apt-add-repository ppa:ubuntu-wine/ppa
 sudo apt-get update

 # resolve held pack packages that might be dependencies
 sudo apt-get upgrade
 sudo apt-get dist-upgrade 

 sudo apt-get install wine
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.